Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossPort

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossPort

All Implemented Interfaces:
  management.J2EEManagedObject, management.Port, java.io.Serializable

public synchronized class JBossPort
extends JBossJ2EEManagedObject
implements management.Port

See Also:
  Serialized Form

Constructor Summary
`JBossPort(java.lang.String, int, management.IpAddress)`

Method Summary
`management.IpAddress` | `getIpAddress()`
`int` | `getPort()`
`void` | `setIpAddress(management.IpAddress)`
`void` | `setPort(int)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossPort

    public JBossPort(java.lang.String,
                     int,
                     management.IpAddress)

Method Detail

### getIpAddress

    public management.IpAddress getIpAddress()

  Specified by:
    `getIpAddress` in interface `management.Port`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `management.Port`

### setIpAddress

    public void setIpAddress(management.IpAddress)

  Specified by:
    `setIpAddress` in interface `management.Port`

### setPort

    public void setPort(int)

  Specified by:
    `setPort` in interface `management.Port`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.